package ch.polgrabia.utils;

import org.slf4j.ILoggerFactory;
import org.slf4j.Logger;

import java.util.Properties;

public class AnsiTermLoggerFactory implements ILoggerFactory {
    private final Properties properties;

    public AnsiTermLoggerFactory(Properties properties) {
        this.properties = properties;
    }

    @Override
    public Logger getLogger(String name) {
        return new AnsiTermLogger(name, properties, "logger");
    }
}
